Saltar al contenido
Black Forest LabsComprobando

FLUX 3 / Text to Image

flux-3-text-to-image

texto a imagenSalida: ImagenEntrada: texto
Cargando precio…
Precio de lista oficial · Sin verificar

Solicitud mínima

Solo campos obligatorios, generada a partir del esquema de este modelo. Define HERMES_API_KEY en tu entorno.

# 1. Submit the task (asynchronous; returns 202 with a task id)
curl -X POST https://api.hermes-ai.net/api/v1/jobs \
  -H "Authorization: Bearer $HERMES_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{
  "model": "flux-3-text-to-image",
  "input": {
    "prompt": "A lighthouse on a rocky coast at sunrise, soft light",
    "resolution": "1k"
  }
}'

# 2. Poll until status is succeeded, failed or reconciliation_required
curl https://api.hermes-ai.net/api/v1/jobs/TASK_ID \
  -H "Authorization: Bearer $HERMES_API_KEY"

Con los valores predeterminados documentados

La misma solicitud con cada valor predeterminado opcional escrito, para que veas qué cambiar.

# 1. Submit the task (asynchronous; returns 202 with a task id)
curl -X POST https://api.hermes-ai.net/api/v1/jobs \
  -H "Authorization: Bearer $HERMES_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{
  "model": "flux-3-text-to-image",
  "input": {
    "prompt": "A lighthouse on a rocky coast at sunrise, soft light",
    "resolution": "1k",
    "aspectRatio": "1:1",
    "grounding": true,
    "safetyTolerance": 2
  }
}'

# 2. Poll until status is succeeded, failed or reconciliation_required
curl https://api.hermes-ai.net/api/v1/jobs/TASK_ID \
  -H "Authorization: Bearer $HERMES_API_KEY"